import request from '@/utils/request'

export const baseUrl = process.env.VUE_APP_BASEURL;


export function pageAddress(data) {
  return request({
    url: '/ams/address/page',
    method: 'post',
    data
  })
}

export function batchAddress(data) {
  return request({
    url: '/ams/address/generate/batch-address',
    method: 'post',
    data
  })
}
export function downloadAddress(data) {
  return request({
    url: '/ams/address/download/batch-keystore',
    method: 'post',
    data
  })
}
export function getGroupList() {
  return request({
    url: '/ams/address/group-list',
    method: 'get',
  })
}
export function addPremiumAddress(data) {
  return request({
    url: '/ams/address/add/premium-address',
    method: 'post',
    data
  })
}
export function getCountAddress() {
  return request({
    url: '/ams/address/count-address',
    method: 'get',
  })
}
export function getEventRecord(data) {
  return request({
    url: '/ams/trade-record/page',
    method: 'post',
    data
  })
}
