/*
 * @Descripttion:
 * @version:
 * @Author: cjwen
 */
import request from '@/utils/request'
// import BASEURL from '@/service/http'
// export const uploadPic = data => post('', data)
// export const getALL = () => post(地址)  post
// export const getALL = () => fetch(地址)  get
// export const BASICURL = BASEURL;



// 通道列表
// export const channelList = () => post("/channel/list", {})
export function channelList(data) {
  return request({
    url: '/channel/list',
    method: 'post',
    data
  })
}
//分页条件查询channel
// export const channelListPage = (data, config) => postConfig("/channel/page", data, config)
export function channelListPage(data) {
  return request({
    url: '/channel/page',
    method: 'post',
    data
  })
}
// 新增通道
// export const saveChannel = (data, config) => postConfig("/channel/save", data, config)
export function saveChannel(data) {
  return request({
    url: '/channel',
    method: 'post',
    data
  })
}
// 修改通道
// export const updateChannel = (data) => put("/channel/update", data)
export function updateChannel(data) {
  return request({
    url: '/channel',
    method: 'put',
    data
  })
}
// 删除通道
// export const deleteChannel = (data) => deleteData("/channel/" + data, {})
export function deleteChannel(id) {
  return request({
    url: '/asset/' + id,
    method: 'delete',
  })
}

//审核通道
export function approvalChannel(data) {
  return request({
    url: '/channel/approval',
    method: 'post',
    data
  })
}

//查询交易列表
export function transactionListPage(data) {
  return request({
    url: '/transaction/page',
    method: 'post',
    data
  })
}

//根据txId查询交易
export function getTransactionById(id) {
  return request({
    url: '/transaction/find-transaction/'+id,
    method: 'post',
  })
}

// import {baseUrl} from '../super-whale-uc'
export const  baseUrl = process.env.VUE_APP_BASEURL; 
export function login(data,random) {
  return request({
    url: baseUrl+'uc/user/login',
    method: 'post',
    headers: {
      'nonce': random,
    },
    data
  })
}
