import request from '@/utils/request'
export const  baseUrl = process.env.VUE_APP_BASEURL; 

export function saveParam(data) {
  return request({
    url: baseUrl + 'uc/system-param',
    method: 'post',
    data
  })
}
export function updateParam(data) {
  return request({
    url: baseUrl + 'uc/system-param',
    method: 'put',
    data
  })
}
export function pageParam(data) {
  return request({
    url: baseUrl + 'uc/system-param/page',
    method: 'post',
    data
  })
}
export function deleteParam(id) {
  return request({
    url: baseUrl + 'uc/system-param/'+id,
    method: 'delete',
  })
}
export function listParam() {
  return request({
    url: baseUrl + 'uc/system-param/list',
    method: 'post',
  })
}
export function getParam(paramName) {
  return request({
    url: baseUrl + 'uc/system-param/'+paramName,
    method: 'get',
  })
}

