import request from '@/utils/request'

export function projectPage(data) {
  return request({
    url: '/ams/airdrop-project/page',
    method: 'post',
    data
  })
}

export function projectNum() {
  return request({
    url:'/ams/airdrop-project/count/projectNum',
    method: 'get'
  })
}

export function createAirdropProject(data) {
  return request({
    url: '/ams/airdrop-project',
    method: 'post',
    data
  })
}

export function modifyAirdropProject(data) {
  return request({
    url: '/ams/airdrop-project',
    method: 'put',
    data
  })
}

export function deleteAirdropProject(projectId) {
  return request({
    url: '/ams/airdrop-project/' + projectId,
    method: 'delete'
  })
}

export function viewProjectDetails(data) {
  return request({
    url:'/ams/airdrop-project/detail/' + data,
    method: 'get'
  })
}
