package com.ichaoj.ams.request.address;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * @author : cjwen
 * @date : 2023/04/25 17:41
 */
@Data
@Schema(title = "批量下载keystore文件请求")
public class BatchKeyStoreRequest {

    @Schema(title = "地址")
    private List<String> addresses;

    @Schema(title = "地址组名称")
    @NotBlank(message = "groupName cannot be null")
    private String groupName;
}
