package com.ichaoj.ams.request.record;

import lombok.Builder;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : cjwen
 * @date : 2023/05/10 10:38
 */
@Data
@Builder
public class CreateTradeRecordRequest {

    /**
     * 链上交易id
     */
    private String txId;

    /**
     * 执行id
     */
    private String executeId;

    /**
     * 交易状态(0:进行中,1:已完成)
     */
    private Integer status;

    /**
     * 地址
     */
    private String address;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * gas费
     */
    private String gas;

    /**
     * 金额
     */
    private String amount;

    /**
     * 金额
     */
    private String currentBalance;

}
