package com.ichaoj.ams.request.task;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotBlank;


/**
 * @author cjwen
 */
@Data
@Schema(title = "修改空投任务状态")
public class UpdateTaskStatusRequest{

    @Schema(title = "空投任务Id")
    @NotBlank(message = "taskId is required!")
    private String amsTaskId;

    @Schema(title = "任务状态;是否完成(0否，1是)")
    @NotBlank(message = "taskStatus is required!")
    private Integer taskStatus;

}
