package com.ichaoj.ams.response.task;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @author : cjwen
 * @date : 2023/05/29 11:58
 */
@Data
@Schema(title = "任务进度统计")
public class TaskProgressResponse {

    @Schema(title = "任务名称")
    private String taskName;

    @Schema(title = "任务计划执行总次数")
    private Integer totalCount;

    @Schema(title = "任务完成次数")
    private Integer finishCount;

}
