package com.ichaoj.ams.script.zksync.era;

import lombok.Data;
import lombok.EqualsAndHashCode;
import org.web3j.abi.datatypes.Address;
import org.web3j.abi.datatypes.DynamicBytes;
import org.web3j.abi.datatypes.StaticStruct;
@EqualsAndHashCode(callSuper = true)
@Data
public class SwapStep extends StaticStruct {

    public Address pool;
    public DynamicBytes data;
    public Address callback;

    public DynamicBytes callbackData;

    public SwapStep(Address pool, DynamicBytes data, Address callback, DynamicBytes callbackData) {
        super(pool, data, callback, callbackData);
        this.pool = pool;
        this.data = data;
        this.callback = callback;
        this.callbackData = callbackData;
    }
}
