import request from '@/utils/request'

export function taskPage() {
  return request({
    url: '/ams/airdrop-task/list',
    method: 'get',
  })
}

export function batchExecution(data) {
  return request({
    url: '/ams/execute',
    method: 'post',
    data
  })
}

export function getExecutionRecord(data) {
  return request({
    url: '/ams/execute/page',
    method: 'post',
    data
  })
}

export function modifyTaskInfo(data) {
  return request({
    url: '/ams/airdrop-task',
    method: 'put',
    data
  })
}

export function addTaskInfo(data) {
  return request({
    url: '/ams/airdrop-task',
    method: 'post',
    data
  })
}

export function parameterSearch(data) {
  return request({
    url: '/ams/airdrop-task/params/' + data,
    method: 'get'
  })
}
