package com.ichaoj.ams.constant;

import cn.hutool.core.util.StrUtil;

import java.io.File;

/**
 * @author cjwen
 */
public class AmsConstant {

    /**
     * 地址缓存前缀
     */
    public static final String CACHE_ADDRESS_PREFIX = "ams:address";

    public static final String WALLET_FILE_PATH =
            StrUtil.format("{}home{}ams{}wallet{}", File.separator, File.separator, File.separator, File.separator);

    public enum TaskType {
        /**
         * Bridge
         */
        BRIDGE,
        /**
         * NFT
         */
        NFT,
        /**
         * Swap
         */
        SWAP;

        TaskType() {
        }
    }

    public enum AirdropStatus {
        /**
         * 未开始
         */
        NOT_STARTED,
        /**
         * 运行中
         */
        ONGOING,
        /**
         * 未空投
         */
        NOT_DROPPED,
        /**
         * 已空投
         */
        DROPPED;

        AirdropStatus() {
        }
    }


}
