package com.ichaoj.ams.mapper;

import com.ichaoj.ams.entity.AmsAirdropTask;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ichaoj.ams.response.task.TaskResponse;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 空投项目任务 Mapper 接口
 * </p>
 *
 * @author cjwen
 * @since 2023-05-10
 */
public interface AmsAirdropTaskMapper extends BaseMapper<AmsAirdropTask> {

    /**
     * 查询任务列表
     * @param userId 用户id
     * @return 任务列表
     */
    List<TaskResponse> listTask(@Param("userId") String userId);
}
