package com.ichaoj.ams.request.airdrop;

import com.ichaoj.ams.constant.AmsConstant;
import com.ichaoj.ams.request.task.CreateAirdropTask;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author : cjwen
 * @date : 2023/04/26 14:25
 */
@Data
@Schema(title = "创建空投项目")
public class CreateAirdropProject {

    /**
     * 项目logo
     */
    private String projectLogo;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 预计投入usdt
     */
    private String estimatedCost;

    /**
     * 项目相关url
     */
    private String projectUrl;

    /**
     * 空投状态
     */
    private AmsConstant.AirdropStatus status;

}
