package com.ichaoj.ams.request.airdrop;

import com.ichaoj.ams.constant.AmsConstant;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * @author : cjwen
 * @date : 2023/04/26 14:25
 */
@Data
@Schema(title = "修改空投项目")
public class UpdateProjectStatus {

    @Schema(title = "空投项目Id")
    @NotBlank(message = "amsProjectId 不能为空")
    private String amsProjectId;

    /**
     * 空投状态
     */
    private AmsConstant.AirdropStatus status;

}
