package com.ichaoj.ams.request.execute;

import com.ichaoj.ams.response.execute.ExecuteResponse;
import com.ichaoj.common.model.PublicPage;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author : cjwen
 * @date : 2023/05/12 15:49
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Schema(title = "分页查询执行")
public class PageExecuteRequest extends PublicPage<ExecuteResponse> {

    @Schema(title = "查询参数")
    private String queryValue;

}
