package com.ichaoj.ams.request.execute;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;

/**
 * @author : cjwen
 * @date : 2023/04/26 14:25
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Schema(title = "修改执行")
public class UpdateExecute extends CreateExecute {

    @Schema(title = "执行Id")
    @NotBlank(message = "executeId 不能为空")
    private String executeId;

}
