package com.ichaoj.ams.response.address;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author : cjwen
 * @date : 2023/04/26 18:18
 */
@Data
public class AddressResponse {

    /**
     * 用户id
     */
    private String userId;

    /**
     * 地址
     */
    private String address;

    /**
     * 地址类型(0:精品号，1:批量号)
     */
    private Integer addressType;

    /**
     * 地址组名称
     */
    private String groupName;

    private BigDecimal totalGas;

    /**
     * 最后操作时间
     */
    private LocalDateTime lastOperTime;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

}
