package com.ichaoj.ams.response.airdrop;

import com.ichaoj.ams.response.task.TaskResponse;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @author : cjwen
 * @date : 2023/05/22 11:05
 */

@EqualsAndHashCode(callSuper = true)
@Data
@Schema(title = "项目详情")
public class ProjectDetailResponse extends AirdropProjectResponse{

    private List<TaskResponse> tasks;

}
