package com.ichaoj.ams.response.statistics;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author : cjwen
 * @date : 2023/05/29 15:13
 */
@Data
@Schema(title = "预计投入统计")
public class PredictCostResponse {

    private List<Predict> predicts;

    private Integer totalCount;

    private BigDecimal totalCost;
    /**
     * 实际投入
     */
    private BigDecimal actualCost;

    @Data
    public static class Predict {
        private String projectName;

        private BigDecimal estimatedCost;
    }

}
