package com.ichaoj.ams.script.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @author wren
 * @since 2022-06-07
 */
@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
public @interface ScriptParam {
    String name() default "";

    String note() default "";

    String defaultValue() default "";
}
