package com.ichaoj.ams.script.zksync.era;

import lombok.Data;
import lombok.EqualsAndHashCode;
import org.web3j.abi.datatypes.Address;
import org.web3j.abi.datatypes.DynamicArray;
import org.web3j.abi.datatypes.StaticStruct;
import org.web3j.abi.datatypes.Uint;
/**
 * @author wrenj
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class SwapPath extends StaticStruct {
    public DynamicArray<SwapStep> steps;
    public Address tokenIn;

    public Uint amountIn;

    public SwapPath(DynamicArray<SwapStep> steps, Address tokenIn, Uint amountIn) {
        super(steps, tokenIn, amountIn);
        this.steps = steps;
        this.tokenIn = tokenIn;
        this.amountIn = amountIn;
    }

}
